package com.blueland.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.blueland.bo.AppIdUserIdAppIdRoleIdDTO;
import com.blueland.bo.Role2userEntity;
import com.blueland.model.TPfRole2user;

import java.util.List;

/**
 * @auther xcy
 * @create 2022-05-10 9:17
 */
public interface IRole2userService extends IService<TPfRole2user> {

    List<AppIdUserIdAppIdRoleIdDTO> findListRoleId();

    /**
     * 根据岗位编码判断用户是否拥有权限
     * @param appId
     * @param roleId
     * @param postCode
     * @return
     */
    Long selectRoleUserByCode(String appId, String roleId, String postCode);

    void deleteByAppId(String appId);

    List<TPfRole2user> selectListByAppId(String appId);
}
